From e046d5264adec057f515690d5269edb8d8f7e923 Mon Sep 17 00:00:00 2001
From: Daniel Lewan <vision360.daniel@gmail.com>
Date: Sat, 20 Jul 2019 09:38:37 +0200
Subject: [PATCH] chroma: update to 0.6.5.

---
 srcpkgs/chroma/template | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/chroma/template b/srcpkgs/chroma/template
index f292a12648e..4efb0ce70e2 100644
--- a/srcpkgs/chroma/template
+++ b/srcpkgs/chroma/template
@@ -1,6 +1,6 @@
 # Template file for 'chroma'
 pkgname=chroma
-version=0.6.4
+version=0.6.5
 revision=1
 build_style=go
 go_import_path="github.com/alecthomas/${pkgname}"
@@ -11,7 +11,15 @@ maintainer="Daniel Lewan <vision360.daniel@gmail.com>"
 license="MIT"
 homepage="https://github.com/alecthomas/chroma"
 distfiles="https://${go_import_path}/archive/v${version}.tar.gz"
-checksum=159230a97fad2c2eb052141dacd96a3e09e387f9318168fbf89278cf30c2b77c
+checksum=92bc5929fcd9d9e4c6261c1e12aa61314211b62ea8813e94fb4b5d3d60450345
+
+do_check() {
+	go test -v
+}
+
+pre_build() {
+	sed -i 's/v1.0.1-0.20190717041731-572a5da3dff8/v1.0.0/' go.mod
+}
 
 post_install() {
 	vlicense COPYING
